package com.sifang.modules.supply.stock.excel;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
import java.math.BigDecimal;
import java.util.Date;

public class AllOrderExcel {
    private String sort;
    private String applyOrderNumber;
    private String project_code;
    private String mergeStatus;
    private String deliver_name;
    private String placeName;
    private String outWarehouseName;
    private String deliver_method_name;
    private String inWarehouseName;
    private String person_in_charge;
    private String mobile;
    private String address;
    private String deliverOrderNumber;
    private String deliver_remark;
    private String applyOrderRemarks;
    private Date applyOrderCreateTime;
    private Date order_time;
    private Date auditTime;
    private Date deliver_time;
    private Date receive_time;
    private Date audit_time;
    private String materialCode;
    private String materialTypeName;
    private String materialGroupName;
    private String unit;
    private String materialRemarks;
    private BigDecimal apply_amount;
    private BigDecimal out_amount;

    @ManyToOne
    @ExcelField(title="排序", align=2, sort=10)
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    @ManyToOne
    @ExcelField(title="订单编号", align=2, sort=20)
    public String getApplyOrderNumber() {
        return applyOrderNumber;
    }

    public void setApplyOrderNumber(String applyOrderNumber) {
        this.applyOrderNumber = applyOrderNumber;
    }

    @ManyToOne
    @ExcelField(title="产品编号", align=2, sort=25)
    public String getProject_code() {
        return project_code;
    }

    public void setProject_code(String project_code) {
        this.project_code = project_code;
    }

    @ManyToOne
    @ExcelField(title="订单状态", align=2, sort=30)
    public String getMergeStatus() {
        return mergeStatus;
    }

    public void setMergeStatus(String mergeStatus) {
        this.mergeStatus = mergeStatus;
    }

    @ManyToOne
    @ExcelField(title="发货单位", align=2, sort=31)
    public String getDeliver_name() {
        return deliver_name;
    }

    public void setDeliver_name(String deliver_name) {
        this.deliver_name = deliver_name;
    }

    @ManyToOne
    @ExcelField(title="出库仓库", align=2, sort=40)
    public String getOutWarehouseName() {
        return outWarehouseName;
    }

    public void setOutWarehouseName(String outWarehouseName) {
        this.outWarehouseName = outWarehouseName;
    }

    @ManyToOne
    @ExcelField(title="发货方式", align=2, sort=41)
    public String getDeliver_method_name() {
        return deliver_method_name;
    }

    public void setDeliver_method_name(String deliver_method_name) {
        this.deliver_method_name = deliver_method_name;
    }

    @ManyToOne
    @ExcelField(title="下单人", align=2, sort=42)
    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    @ManyToOne
    @ExcelField(title="入库仓库", align=2, sort=70)
    public String getInWarehouseName() {
        return inWarehouseName;
    }

    public void setInWarehouseName(String inWarehouseName) {
        this.inWarehouseName = inWarehouseName;
    }

    @ManyToOne
    @ExcelField(title="接货人", align=2, sort=80)
    public String getPerson_in_charge() {
        return person_in_charge;
    }

    public void setPerson_in_charge(String person_in_charge) {
        this.person_in_charge = person_in_charge;
    }

    @ManyToOne
    @ExcelField(title="联系方式", align=2, sort=90)
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @ManyToOne
    @ExcelField(title="收货地址", align=2, sort=100)
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @ManyToOne
    @ExcelField(title="发货单号", align=2, sort=110)
    public String getDeliverOrderNumber() {
        return deliverOrderNumber;
    }

    public void setDeliverOrderNumber(String deliverOrderNumber) {
        this.deliverOrderNumber = deliverOrderNumber;
    }

    @ManyToOne
    @ExcelField(title="发货备注", align=2, sort=112)
    public String getDeliver_remark() {
        return deliver_remark;
    }

    public void setDeliver_remark(String deliver_remark) {
        this.deliver_remark = deliver_remark;
    }

    @ManyToOne
    @ExcelField(title="订单备注", align=2, sort=113)
    public String getApplyOrderRemarks() {
        return applyOrderRemarks;
    }

    public void setApplyOrderRemarks(String applyOrderRemarks) {
        this.applyOrderRemarks = applyOrderRemarks;
    }

    @ManyToOne
    @ExcelField(title="下单时间", align=2, sort=115)
    public Date getApplyOrderCreateTime() {
        return applyOrderCreateTime;
    }

    public void setApplyOrderCreateTime(Date applyOrderCreateTime) {
        this.applyOrderCreateTime = applyOrderCreateTime;
    }
    @ManyToOne
    @ExcelField(title="审核时间", align=2, sort=122)
    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    @ManyToOne
    @ExcelField(title="匹配时间", align=2, sort=123)
    public Date getOrder_time() {
        return order_time;
    }

    public void setOrder_time(Date order_time) {
        this.order_time = order_time;
    }

    @ManyToOne
    @ExcelField(title="发货时间", align=2, sort=124)
    public Date getDeliver_time() {
        return deliver_time;
    }

    public void setDeliver_time(Date deliver_time) {
        this.deliver_time = deliver_time;
    }

    @ManyToOne
    @ExcelField(title="收货时间", align=2, sort=125)
    public Date getReceive_time() {
        return receive_time;
    }

    public void setReceive_time(Date receive_time) {
        this.receive_time = receive_time;
    }

    @ManyToOne
    @ExcelField(title="入账时间", align=2, sort=126)
    public Date getAudit_time() {
        return audit_time;
    }

    public void setAudit_time(Date audit_time) {
        this.audit_time = audit_time;
    }

    @ManyToOne
    @ExcelField(title="物料代码", align=2, sort=160)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ManyToOne
    @ExcelField(title="物料类型", align=2, sort=170)
    public String getMaterialTypeName() {
        return materialTypeName;
    }

    public void setMaterialTypeName(String materialTypeName) {
        this.materialTypeName = materialTypeName;
    }

    @ManyToOne
    @ExcelField(title="物料组", align=2, sort=180)
    public String getMaterialGroupName() {
        return materialGroupName;
    }

    public void setMaterialGroupName(String materialGroupName) {
        this.materialGroupName = materialGroupName;
    }

    @ManyToOne
    @ExcelField(title="单位", align=2, sort=190)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ManyToOne
    @ExcelField(title="物料描述", align=2, sort=200)
    public String getMaterialRemarks() {
        return materialRemarks;
    }

    public void setMaterialRemarks(String materialRemarks) {
        this.materialRemarks = materialRemarks;
    }

    @ManyToOne
    @ExcelField(title="下单数量", align=2, sort=210)
    public BigDecimal getApply_amount() {
        return apply_amount;
    }

    public void setApply_amount(BigDecimal apply_amount) {
        this.apply_amount = apply_amount;
    }

    @ManyToOne
    @ExcelField(title="实发数量", align=2, sort=210)
    public BigDecimal getOut_amount() {
        return out_amount;
    }

    public void setOut_amount(BigDecimal out_amount) {
        this.out_amount = out_amount;
    }
}
